%define oname rosa

Summary:	ROSA icons theme
Name:		%{oname}-icons
Version:	1.1.20
Release:	2
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://www.rosalinux.com
# https://abf.rosalinux.ru/uxteam/rosa-icons-devel
Source0:	%{name}-devel-v%{version}.tar.gz
Source1:	kdenlive-actions.tar.xz
Source2:	gnome3-devices.tar.xz
BuildRequires:	fdupes
BuildRequires:	inkscape
Requires:	gnome-icon-theme
BuildArch:	noarch

%description
ROSA icon theme is high quality icon theme for KDE, GNOME and Xfce.
It is part of ROSA theme pack - theme for ROSA Desktop distribution.
Initially based on the original icon theme Elementary by Daniel Fore
(Dan Rabbit).

%files
%{_datadir}/icons/%{oname}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-devel-v%{version}
tar xJf %{SOURCE1}
tar xJf %{SOURCE2}

%build

%install
mkdir -p %{buildroot}%{_datadir}/icons/%{oname}
cp -rf ./* %{buildroot}%{_datadir}/icons/%{oname}

# An ugly hack to work with Inkscape
# TODO: Neccessary find a real problem!
pushd %{buildroot}%{_datadir}/icons/%{oname}/16x16/places
for i in `ls`
do
    echo "Converting $i to plain SVG:"
    inkscape -l $i $i
done
# devices icons should be converted too
cd %{buildroot}%{_datadir}/icons/%{oname}/16x16/devices
for i in `ls`
do
    echo "Converting $i to plain SVG:"
    inkscape -l $i $i
done
popd

# Create folder-cyan, folder-default and folder-favorites icons
for N in 16 22 24 32 48 64 128;
do
pushd %{buildroot}%{_iconsdir}/rosa/${N}x${N}/places/
    ln -s folder.svg folder-cyan.svg
    ln -s folder.svg folder-default.svg
    ln -s folder.svg folder-favorites.svg
popd
done

%fdupes -s %{buildroot}%{_datadir}/icons/%{oname}


%changelog
